--- title: "detachNetworkInterface" slug: "compute-vserver-networkinterface-detachnetworkinterface" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-networkinterface-detachnetworkinterface" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # detachNetworkInterface Available in VPC It releases the network interface assigned to the server instance. Note The default network interface of server instance cannot be released. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/detachNetworkInterface | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `serverInstanceNo` | String | Required | Server instance number - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). | | `networkInterfaceNo` | String | Required | Network interface number - See [getNetworkInterfaceList](/docs/en/compute-vserver-networkinterface-getnetworkinterfacelist). | | `subnetNo` | String | Required | Subnet number - See [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/detachNetworkInterface ?regionCode=KR &serverInstanceNo=10*****61 &networkInterfaceNo=70***0 &subnetNo=3***5 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `detachNetworkInterfaceResponse` | Object | - | Response result - See [NetworkInterfaceList](/docs/en/common-vapidatatype-networkinterfacelist). | | `detachNetworkInterfaceResponse.requestId` | String | - | ID for the request - UUID format | | `detachNetworkInterfaceResponse.returnCode` | String | - | Response code | | `detachNetworkInterfaceResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "detachNetworkInterfaceResponse": { "totalRows": 1, "networkInterfaceList": [ { "networkInterfaceNo": "70***0", "networkInterfaceName": "mynic", "subnetNo": "3***5", "deleteOnTermination": false, "isDefault": false, "deviceName": "eth1", "networkInterfaceStatus": { "code": "UNSET", "codeName": "Removing" }, "instanceNo": "10*****61", "ip": "10.0.20.6", "macAddress": "F2:**:**:**:**:A3", "enableFlowLog": false, "accessControlGroupNoList": [], "networkInterfaceDescription": "", "secondaryIpList": [] } ], "requestId": "38fe010e-****-****-****-e9ceef4ea347", "returnCode": "0", "returnMessage": "success" } } ```